<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="Grimm OPC"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <nav class="content display-tabs communication-state hide-false">
        <ul>
            <li><button display="#{{uid}} .tab-status">Status</button></li>
            <li><button display="#{{uid}} .tab-distribution">Size Distribution</button></li>
        </ul>
    </nav>

    <table class="content display-data column-split communication-state value-exists hide-false tab-status" field="X1 X25 X10">
        <thead>
            <tr>
                <th></th>
                <th>PM1</th>
                <th>PM2.5</th>
                <th>PM10</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Mass concentration (μg/m³)</td>
                <td class="value-formatted" field="X1" decimals="2"></td>
                <td class="value-formatted" field="X25" decimals="2"></td>
                <td class="value-formatted" field="X10" decimals="2"></td>
            </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false tab-status">
        <tbody>
            <tr> <td>Concentration (cm⁻³)</td>              <td class="value-formatted" field="N" rightpad="2"></td> </tr>
            <tr> <td>Sample flow (lpm)</td>                 <td class="value-formatted" field="Q" decimals="3"></td> </tr>
            <tr> <td>Pump motor power (%)</td>              <td class="value-formatted" field="PCTpump" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Battery level (%)</td>                 <td class="value-formatted" field="PCTbattery" decimals="0" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state hide-false tab-distribution">
        <div id="{{uid}}_size_distribution"></div>
    </div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="self_test_failure">Self test failure</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="nozzle_fault">Nozzle fault (whirls > 5%)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pump_current_high">Pump current too high</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="flow_error">Flow error (pump out of range)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pump_low">Pump low, check filter (Imot < 20%)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pump_high">Pump high, check filter (Imot > 60%)</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="memory_card_fault">Memory card fault</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="battery_drained">Battery drained</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="battery_low">Battery low (< 10%)</div>

</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>

<script>
(function() {
    {% include 'acquisition/display/tab_contents.js' %}
})();
(function() {

    const context = document.getElementById('{{uid}}').context;
    context.standardMode();

    // {{ '\n' }}{% include 'acquisition/display/size_distribution.js' %}
})();
</script>